Bug 1526153 - (CVE-2017-17520) CVE-2017-17520 tin: Command injection in tools/url_handler.pl
CVE-2017-17520 tin: Command injection in tools/url_handler.pl
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20171214,repor...
: Security
Depends On: 1526154
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-14 15:45 EST by Pedro Sampaio
Modified: 2017-12-14 15:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-12-14 15:45:12 EST
** DISPUTED ** tools/url_handler.pl in TIN 2.4.1 does not validate strings
   before launching the program specified by the BROWSER environment
   variable, which might allow remote attackers to conduct argument-injection
   attacks via a crafted URL. NOTE: a third party has reported that this is
   intentional behavior, because the documentation states "url_handler.pl was
   designed to work together with tin which only issues shell escaped
   absolute URLs."

References:

https://security-tracker.debian.org/tracker/CVE-2017-17520
Comment 1 Pedro Sampaio 2017-12-14 15:45:32 EST
Created tin tracking bugs for this issue:

Affects: fedora-all [bug 1526154]

Note You need to log in before you can comment on or make changes to this bug.